# Status | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Status

- Defined in src/data/status-effect.ts:6

##### Index

### Constructors

constructor

### Properties

effect
sleepTurnsRemaining?
toxicTurnCount

### Methods

incrementTurn
isPostTurn

## Constructors

### constructor

- new Status(
  effect: StatusEffect ,
  toxicTurnCount?: number,
  sleepTurnsRemaining?: number,
  ): Status

  #### Parameters

  - effect: StatusEffect
  - toxicTurnCount: number = 0
  - `Optional` sleepTurnsRemaining: number

  #### Returns Status

  - Defined in src/data/status-effect.ts:12

## Properties

### effect

effect: StatusEffect

- Defined in src/data/status-effect.ts:7

### `Optional` sleepTurnsRemaining

sleepTurnsRemaining?: number

- Defined in src/data/status-effect.ts:10

### toxicTurnCount

toxicTurnCount: number = 0

Toxic damage is `1/16 max HP * toxicTurnCount`

- Defined in src/data/status-effect.ts:9

## Methods

### incrementTurn

- incrementTurn(): void

  #### Returns void

  - Defined in src/data/status-effect.ts:18

### isPostTurn

- isPostTurn(): boolean

  #### Returns boolean

  - Defined in src/data/status-effect.ts:25